Use handmade metadata from separate repo

This commit is contained in:
Alexandre Archambault
2018-10-01 16:55:27 +02:00
parent 4855caa0f5
commit 96ae126866
6 changed files with 7 additions and 50 deletions
-3
View File
@@ -1,3 +0,0 @@
# see https://stackoverflow.com/questions/2224350/powershell-start-job-working-directory/2246542#2246542
Set-Location $args[0]
& java -jar -noverify coursier launch io.get-coursier:http-server_2.12:1.0.0 -- -d tests/jvm/src/test/resources/test-repo/http/abc.com -u $args[3] -P $args[4] -r realm --host $args[1] --port $args[2] -v
+1 -1
View File
@@ -16,7 +16,7 @@ sbtShading() {
}
runSbtCoursierTests() {
./scripts/with-test-repo.sh sbt ++$TRAVIS_SCALA_VERSION sbt-coursier/test sbt-coursier/scripted
./metadata/scripts/with-test-repo.sh sbt ++$TRAVIS_SCALA_VERSION sbt-coursier/test sbt-coursier/scripted
}
runSbtShadingTests() {
-45
View File
@@ -1,45 +0,0 @@
#!/usr/bin/env bash
set -e
cd "$(dirname "$0")/.."
SERVER_PID=""
cleanup() {
if [ ! -z "$SERVER_PID" ]; then
echo "Terminating background HTTP server"
kill -15 "$SERVER_PID"
while kill -0 "$SERVER_PID" >/dev/null 2>&1; do
echo "Server still running"
sleep 1
kill -15 "$SERVER_PID" >/dev/null 2>&1 || true
done
echo "Server terminated"
fi
}
trap cleanup EXIT INT TERM
export TEST_REPOSITORY_HOST="localhost"
export TEST_REPOSITORY_PORT="8080"
export TEST_REPOSITORY_USER="user"
export TEST_REPOSITORY_PASSWORD="pass"
export TEST_REPOSITORY="http://$TEST_REPOSITORY_HOST:$TEST_REPOSITORY_PORT"
# see https://unix.stackexchange.com/questions/90244/bash-run-command-in-background-and-capture-pid
runServerBg() {
java -jar ./coursier launch \
"io.get-coursier:http-server_2.12:1.0.0" \
-- \
-d tests/jvm/src/test/resources/test-repo/http/abc.com \
-u "$TEST_REPOSITORY_USER" -P "$TEST_REPOSITORY_PASSWORD" -r realm \
-v \
--host "$TEST_REPOSITORY_HOST" \
--port "$TEST_REPOSITORY_PORT" &
SERVER_PID="$!"
}
runServerBg
"$@"